<?xml version="1.0" encoding="utf-8"?>
<FrameLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:id="@+id/fl_layout"
        android:layout_width="105dp"
        android:layout_height="102dp"
        android:layout_marginBottom="20dp"
        android:layout_marginEnd="12dp">

    <androidx.cardview.widget.CardView
            android:id="@+id/card_view"
            android:layout_width="105dp"
            android:layout_height="102dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:cardCornerRadius="8dp"
            app:cardElevation="0dp">

        <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

            <ImageView
                    android:id="@+id/iv_meditation_type"
                    android:layout_width="105dp"
                    android:layout_height="102dp"
                    android:scaleType="centerCrop"/>

<!--            <View-->
<!--                    android:layout_width="match_parent"-->
<!--                    android:layout_height="30dp"-->
<!--                    android:background="#88000000"-->
<!--                    android:layout_gravity="bottom|start" />-->

            <TextView
                    android:id="@+id/tv_meditation_type"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="bottom|start"
                    android:background="@drawable/bg_meditation_type"
                    tools:text="溪流溪流溪流溪流溪流"
                    android:singleLine="true"
                    android:ellipsize="end"
                    android:textColor="@color/white"
                    android:textSize="14sp"
                    android:paddingHorizontal="6dp"
                    android:paddingVertical="5dp"/>

        </FrameLayout>

    </androidx.cardview.widget.CardView>

</FrameLayout>